#!/usr/bin/env/ python

import string

'''
Two words are anagrams if you can rearrange the letters from one to spell the other. 
Write a function called is_anagram that takes two strings and returns True if they are anagrams.
'''

# remove punctuation
def remove_punct(f):
	tokens = (' '.join(line.replace('\n', '') for line in f)).lower()
	for c in string.punctuation:
		tokens= tokens.replace(c,"")
	return tokens

# add words of the text to set, a list of unique items
def lexicon(tokens):
	for word in tokens.split(" "):
		wordset.add(word)
	return wordset

def is_anagram(wordset):
	wordlist = list(wordset)
	for cnt in range(len(wordlist)):
		default = wordlist[cnt]
		for word in wordlist:
			if word != default:
				anagr1 = sorted(default)
				#print("anagr1:", anagr1)
				anagr2 = sorted(word)
				#print("anagr2:", anagr2)
				if anagr1 == anagr2:
					anagram[default] = word
					#print("anagramlijst", anagram)
	return anagram

# write words to text file 
def write_to_file(anagram):
	g = open('anagrams.txt', 'wt')
	for key, value in anagram.items():
		g.write(key + ":")
		g.write(value + "\n")
	g.close()

# define & open input/output file
f = open("lelivre_extrait.txt", "rt", encoding = "utf-8")
wordset = set()
anagram = {}

# execute functions
tokens = remove_punct(f)
wordset = lexicon(tokens)
anagram = is_anagram(wordset)
print("anagramlijst", anagram)
write_to_file(anagram)

# close files
f.close()


